# EclipseProjectDependency

interface EclipseProjectDependency : ProjectDependency, EclipseClasspathEntry

Represents a dependency on another Eclipse project.

## Functions

getAccessRules
Link copied to clipboard
abstract fun getAccessRules(): DomainObjectSet<out AccessRule>
getClasspathAttributes
Link copied to clipboard
abstract fun getClasspathAttributes(): DomainObjectSet<out ClasspathAttribute>
getPath
Link copied to clipboard
abstract fun getPath(): String
Returns the path to use for this project dependency.
isExported
Link copied to clipboard
abstract fun isExported(): Boolean
Marks this dependency as exported.